﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            ImageBrush imageBrush1 = new ImageBrush();

            imageBrush1.Stretch     = Stretch.Uniform;
            imageBrush1.ImageSource = new BitmapImage(new Uri("IMAGE\\square.jpg", UriKind.Relative));

            imageBrush1.Freeze();

            Rectangle rectangle1 = new Rectangle();

            rectangle1.Width           = 300;
            rectangle1.Height          = 150;
            rectangle1.StrokeThickness = 1.0;
            rectangle1.Stroke          = Brushes.MediumBlue;
            rectangle1.Fill            = imageBrush1;

            ImageBrush imageBrush2 = new ImageBrush();

            imageBrush2.Stretch     = Stretch.UniformToFill;
            imageBrush2.ImageSource = new BitmapImage(new Uri("IMAGE\\square.jpg", UriKind.Relative));

            imageBrush2.Freeze();

            Rectangle rectangle2 = new Rectangle();

            rectangle2.Margin          = new Thickness(0, 10, 0, 0);
            rectangle2.Width           = 300;
            rectangle2.Height          = 150;
            rectangle2.StrokeThickness = 1.0;
            rectangle2.Stroke          = Brushes.MediumBlue;
            rectangle2.Fill            = imageBrush2;

            StackPanel stackPanel = new StackPanel();

            stackPanel.HorizontalAlignment = HorizontalAlignment.Center;
            stackPanel.VerticalAlignment   = VerticalAlignment.Center;

            stackPanel.Children.Add(rectangle1);
            stackPanel.Children.Add(rectangle2);

            Content = stackPanel;
        }

        #endregion
    }
}